<template>
	<div >
		<div class="foot">
			<div class="exitBtn">
				<button class="btn btn-danger" @click="handleLogout">Выход</button>
			</div>
		</div>
		<main class="mainWrapper">
			<Nuxt />
		</main>
	</div>
</template>

<script>
export default{
	name: 'Defaultlayout',
	methods: {
		//метод очищающий куки и локальное хранилище(кнопка выход)
		async handleLogout(){
			await localStorage.clear()

			var cookies = document.cookie.split(";");

			for (var i = 0; i < cookies.length; i++) {
				var cookie = cookies[i];
				var eqPos = cookie.indexOf("=");
				var name = eqPos > -1 ? cookie.substr(0, eqPos) : cookie;
				document.cookie = name + "=;expires=Thu, 01 Jan 1970 00:00:00 GMT";
			}
			this.$router.push('/login')
		}
	}
}
</script>

<style lang="scss">
.mainWrapper{
	margin: 4%;
}
.foot{
	width: 100%;
	background: #2c4659;
}
.exitBtn{
	padding: 12px;
	margin-left: 10px;
}
</style>